<?php
// Avvia la sessione
session_start();

// Crea una nuova connessione al database MySQL
$conn = new mysqli("localhost", "root", "", "my_antoniomdcv");

// Verifica se ci sono errori di connessione al database
if ($conn->connect_errno) {
    // Se c'è un errore, stampa un messaggio e termina lo script
    echo "Impossibile connettersi al server: " . $conn->connect_error;
    exit;
}

// Recupera i dati inviati tramite il form (metodo POST)
$Username = $_POST['Username']; 
$Password_U = $_POST['Password_U'];

// Esegui l'hash della password usando MD5 (Nota: MD5 non è più considerato sicuro per la gestione delle password)
$Password_U = md5($Password_U);

// Definisce la query SQL per selezionare l'utente con il ruolo associato dal database
$sql = "SELECT utenti.ID_Utente, utenti.Username, utenti.Password_U, ruoli.ID_Ruolo 
        FROM utenti 
        INNER JOIN ruoli ON ruoli.ID_Ruolo = utenti.ID_Ruolo 
        WHERE utenti.Username='$Username' AND utenti.Password_U='$Password_U'";

// Esegue la query SQL
$result = $conn->query($sql);

// Verifica se la query è stata eseguita correttamente
if (!$result) {
    // Se c'è un errore nella query, restituisce un messaggio di errore in formato JSON e termina lo script
    echo json_encode(["error" => "Errore nella query: " . $conn->error]);
    exit;
}

// Conta il numero di righe restituite dalla query
$conta = $result->num_rows;

// Se non ci sono righe restituite (l'utente non è trovato)
if ($conta == 0) {
    // Restituisce un messaggio di errore di accesso negato in formato JSON
    echo json_encode(["error" => "Accesso Negato. Controlla le tue credenziali e riprova!"]);
} else {
    // Se l'utente è trovato, recupera la riga con i dati dell'utente
    $row = $result->fetch_assoc();
    // Salva l'ID dell'utente nella sessione
    $_SESSION['ID_Utente'] = $row["ID_Utente"];
    // Restituisce un messaggio di successo con i dettagli dell'utente in formato JSON
    echo json_encode(["success" => "Accesso Avvenuto!", "ID_Ruolo" => $row["ID_Ruolo"], "ID_Utente" => $row["ID_Utente"]]);
}

// Chiude la connessione al database
$conn->close();
?>