<?php
// Imposta l'intestazione del contenuto della risposta come JSON
header('Content-Type: application/json');

// Connessione al database MySQL
$conn = new mysqli("localhost", "root", "", "my_antoniomdcv");

// Verifica se ci sono errori di connessione al database
if ($conn->connect_errno) {
    // Se c'è un errore, restituisce un messaggio di errore in formato JSON e termina lo script
    echo json_encode(["error" => "Impossibile connettersi al server"]);
    exit;
}

// Recupero dei dati inviati tramite il form (metodo POST)
$ISBN = $_POST['ISBN']; // ISBN del libro
$Titolo = $_POST['Titolo']; // Titolo del libro
$Autori = $_POST['Autori']; // Autori del libro
$Numero_Copie = $_POST['Numero_Copie']; // Numero di copie del libro
$IDGenere = $_POST['IDGenere']; // ID del genere del libro

// Query SQL per l'inserimento del libro nella tabella 'libri'
$sql = "INSERT INTO libri (ISBN, Titolo, Autori, Numero_Copie, IDGenere) ";
$sql .= "VALUES ('$ISBN', '$Titolo', '$Autori', '$Numero_Copie', '$IDGenere')";

// Esecuzione della query
$result = $conn->query($sql);

// Verifica del risultato della query
if ($result) {
    // Se l'inserimento è avvenuto con successo, restituisce un messaggio di successo in formato JSON
    echo json_encode(["success" => true]);
} else {
    // Se c'è un errore nell'inserimento, restituisce un messaggio di errore in formato JSON
    echo json_encode(["error" => "Errore nell'inserimento del libro: " . $conn->error]);
}

// Chiusura della connessione al database
$conn->close();
?>
