<?php
// Connessione al database
$conn = new mysqli("localhost", "root", "", "my_antoniomdcv");
if ($conn->connect_error) {
    die("Connessione fallita: " . $conn->connect_error);
}

// Verifica se è stato specificato un ID utente nella richiesta GET
if (isset($_GET['ID_Utente'])) {
    // Sanitizzazione dell'ID utente per evitare SQL injection
    $id_utente = $conn->real_escape_string($_GET['ID_Utente']);

    // Query per ottenere i dati dell'utente
    $query = "SELECT utenti.*, ruoli.Ruolo 
              FROM utenti 
              JOIN ruoli ON utenti.ID_Ruolo = ruoli.ID_Ruolo
              WHERE utenti.ID_Utente = $id_utente";
    $result = $conn->query($query);

    if ($result->num_rows > 0) {
        $user = $result->fetch_assoc();
    } else {
        echo "Nessun utente trovato con ID: $id_utente";
        exit();
    }
} else {
    echo "Nessun ID utente specificato";
    exit();
}
// Chiudi la connessione al database
$conn->close();
?>

<!DOCTYPE html>
<html lang="it">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Interrogazione Utente</title>
</head>
<body>

<h2>Interrogazione Utente</h2>

<form action="Aggiornamento_utenti.php" method="POST">
   <input type="hidden" name="ID_Utente" value="<?php echo $user['ID_Utente']; ?>">

    <label for="idRuolo">ID Ruolo:</label>
    <input type="text" id="idRuolo" name="ID_Ruolo" value="<?php echo $user['ID_Ruolo']; ?>"><br><br>

    <label for="cognome">Cognome:</label>
    <input type="text" id="cognome" name="Cognome" value="<?php echo $user['Cognome']; ?>"><br><br>

    <label for="nome">Nome:</label>
    <input type="text" id="nome" name="Nome" value="<?php echo $user['Nome']; ?>"><br><br>

    <label for="dataNascita">Data di Nascita:</label>
    <input type="text" id="dataNascita" name="Data_Nascita" value="<?php echo $user['Data_Nascita']; ?>"><br><br>

    <label for="telefono">Telefono:</label>
    <input type="text" id="telefono" name="Telefono" value="<?php echo $user['Telefono']; ?>"><br><br>

    <label for="email">Email:</label>
    <input type="text" id="email" name="Email" value="<?php echo $user['Email']; ?>"><br><br>

    <label for="username">Username:</label>
    <input type="text" id="username" name="Username" value="<?php echo $user['Username']; ?>"><br><br>

    <label for="passwordU">Password:</label>
    <input type="password" id="passwordU" name="Password_U" placeholder="Nuova password"><br><br>

    <input type="submit" value="Aggiorna">
</form>

</body>
</html>
