<?php
// Imposta l'intestazione del contenuto della risposta come JSON
header('Content-Type: application/json');

// Connessione al database MySQL
$conn = new mysqli("localhost", "root", "", "my_antoniomdcv");

// Verifica se ci sono errori di connessione al database
if ($conn->connect_errno) {
    echo json_encode(["error" => "Impossibile connettersi al server"]);
    exit;
}

// Query SQL per recuperare tutti i generi dalla tabella 'genere'
$sql = "SELECT Genere FROM genere";
$result = $conn->query($sql);

if ($result && $result->num_rows > 0) {
    $genres = array();
    while ($row = $result->fetch_assoc()) {
        $genres[] = $row['Genere'];
    }
    echo json_encode($genres);
} else {
    echo json_encode([]);
}

// Chiusura della connessione al database
$conn->close();
?>
