-- phpMyAdmin SQL Dump
-- version 5.2.0
-- https://www.phpmyadmin.net/
--
-- Host: localhost
-- Creato il: Giu 06, 2024 alle 08:46
-- Versione del server: 8.0.30
-- Versione PHP: 8.0.22

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `my_antoniomdcv`
--

-- --------------------------------------------------------

--
-- Struttura della tabella `genere`
--

CREATE TABLE `genere` (
  `IDGenere` int NOT NULL,
  `Genere` varchar(25) COLLATE utf8mb4_general_ci DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dump dei dati per la tabella `genere`
--

INSERT INTO `genere` (`IDGenere`, `Genere`) VALUES
(1, 'Horror'),
(2, 'Giallo'),
(3, 'Romanzo Storico'),
(4, 'Manga'),
(5, 'Biografia e Autobiografia'),
(6, 'Avventura e Azione'),
(7, 'Fantascienza'),
(8, 'Thriller'),
(9, 'Fantasy'),
(10, 'Rosa'),
(11, 'Romanzo di Formazione'),
(12, 'Diario'),
(13, 'Fiabe e Miti'),
(14, 'Mistero'),
(15, 'Barzellette'),
(16, 'Letteratura Straniera'),
(17, 'Narrativa'),
(18, 'Vocabolario'),
(19, 'Narrativa Straniera'),
(20, 'Enciclopedia'),
(21, 'Geografia');

-- --------------------------------------------------------

--
-- Struttura della tabella `libri`
--

CREATE TABLE `libri` (
  `Numero_Inventario` int NOT NULL,
  `ISBN` varchar(13) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Titolo` varchar(25) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Autori` varchar(25) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Numero_Copie` int DEFAULT NULL,
  `IDGenere` int DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dump dei dati per la tabella `libri`
--

INSERT INTO `libri` (`Numero_Inventario`, `ISBN`, `Titolo`, `Autori`, `Numero_Copie`, `IDGenere`) VALUES
(17, '5456452345123', 'Uno, nessuno e centomila', 'Luigi Pirandello', 1, 17),
(18, '4615246137246', 'Il Piccolo Principe', 'Antoine de Saint-Exupery', 3, 9),
(19, '6457264873944', 'Il Miglio verde', 'Stephen King', 2, 17),
(20, '8957926424552', 'Shining', 'Stephen King', 1, 1),
(21, '9489671854532', 'One Piece 1', 'Eiichiro Oda', 4, 4);

-- --------------------------------------------------------

--
-- Struttura della tabella `prenotazioni`
--

CREATE TABLE `prenotazioni` (
  `IDprenotazioni` int NOT NULL,
  `Classe` varchar(15) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `DataPrenotazione` date DEFAULT NULL,
  `DataIngresso` date DEFAULT NULL,
  `IDslot` int DEFAULT NULL,
  `ID_Utente` int DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dump dei dati per la tabella `prenotazioni`
--

INSERT INTO `prenotazioni` (`IDprenotazioni`, `Classe`, `DataPrenotazione`, `DataIngresso`, `IDslot`, `ID_Utente`) VALUES
(21, '5Cgraf', '2024-05-15', '2024-05-16', 4, 3),
(23, '2Ainf', '2024-05-15', '2024-05-17', 2, 2),
(24, '2Agraf', '2024-05-13', '2024-05-14', 2, 3),
(26, '5', '2024-05-18', '2024-05-19', 4, 3),
(27, '3G', '2024-05-19', '2024-05-20', 4, 3),
(28, '5Ainf', '2024-05-21', '2024-05-23', 4, 3),
(29, '5B', '2024-05-22', '2024-05-23', 5, 2),
(30, '5Ainf', '2024-05-24', '2024-05-26', 5, 3),
(31, '3C', '2024-05-24', '2024-05-27', 3, 2),
(32, '3Cgrafica', '2024-05-25', '2024-05-28', 7, 3);

-- --------------------------------------------------------

--
-- Struttura della tabella `prestiti`
--

CREATE TABLE `prestiti` (
  `ID_Prestito` int NOT NULL,
  `Numero_Inventario` varchar(10) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `ID_Utente` int DEFAULT NULL,
  `Data_Richiesta_Prestito` date DEFAULT NULL,
  `Data_Inizio_Prestito` date DEFAULT NULL,
  `Data_Fine_Prestito` date DEFAULT NULL,
  `Data_Restituzione_Libro` date DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Struttura della tabella `ruoli`
--

CREATE TABLE `ruoli` (
  `ID_Ruolo` int NOT NULL,
  `Ruolo` varchar(15) COLLATE utf8mb4_general_ci DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dump dei dati per la tabella `ruoli`
--

INSERT INTO `ruoli` (`ID_Ruolo`, `Ruolo`) VALUES
(1, 'studente'),
(2, 'docente'),
(3, 'DBA');

-- --------------------------------------------------------

--
-- Struttura della tabella `slot`
--

CREATE TABLE `slot` (
  `IDslot` int NOT NULL,
  `Descrizione_slot` varchar(15) COLLATE utf8mb4_general_ci DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dump dei dati per la tabella `slot`
--

INSERT INTO `slot` (`IDslot`, `Descrizione_slot`) VALUES
(1, '8:00 - 8:50'),
(2, '8:50 - 9:50'),
(3, '9:50 - 10:50'),
(4, '10:50 - 11:50'),
(5, '11:50 - 12:50'),
(6, '12:50 - 13:50'),
(7, '13:50 - 14:30');

-- --------------------------------------------------------

--
-- Struttura della tabella `utenti`
--

CREATE TABLE `utenti` (
  `ID_Utente` int NOT NULL,
  `ID_Ruolo` int DEFAULT NULL,
  `Cognome` varchar(25) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Nome` varchar(25) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Data_Nascita` date DEFAULT NULL,
  `Telefono` varchar(10) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Email` varchar(75) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Username` varchar(25) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Password_U` varchar(40) COLLATE utf8mb4_general_ci DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dump dei dati per la tabella `utenti`
--

INSERT INTO `utenti` (`ID_Utente`, `ID_Ruolo`, `Cognome`, `Nome`, `Data_Nascita`, `Telefono`, `Email`, `Username`, `Password_U`) VALUES
(1, 1, 'Maiorino', 'Antonio', '2005-10-13', '4564125104', 'anto@gmail.com', 'Username1', '2ac9cb7dc02b3c0083eb70898e549b63'),
(2, 2, 'Grimaldi', 'Giovanna', '1980-05-10', '6451345623', 'giovanna@gmail.com', 'Username2', '6f9dff5af05096ea9f23cc7bedd65683'),
(3, 3, 'Buongiorno', 'Anna', '1975-05-28', '6751342642', 'bungiorno@gmail.com', 'Username3', '874fcc6e14275dde5a23319c9ce5f8e4');

--
-- Indici per le tabelle scaricate
--

--
-- Indici per le tabelle `genere`
--
ALTER TABLE `genere`
  ADD PRIMARY KEY (`IDGenere`);

--
-- Indici per le tabelle `libri`
--
ALTER TABLE `libri`
  ADD PRIMARY KEY (`Numero_Inventario`),
  ADD KEY `IDGenere` (`IDGenere`);

--
-- Indici per le tabelle `prenotazioni`
--
ALTER TABLE `prenotazioni`
  ADD PRIMARY KEY (`IDprenotazioni`),
  ADD KEY `IDslot` (`IDslot`),
  ADD KEY `ID_Utente` (`ID_Utente`);

--
-- Indici per le tabelle `prestiti`
--
ALTER TABLE `prestiti`
  ADD PRIMARY KEY (`ID_Prestito`),
  ADD KEY `ID_Utente` (`ID_Utente`);

--
-- Indici per le tabelle `ruoli`
--
ALTER TABLE `ruoli`
  ADD PRIMARY KEY (`ID_Ruolo`);

--
-- Indici per le tabelle `slot`
--
ALTER TABLE `slot`
  ADD PRIMARY KEY (`IDslot`);

--
-- Indici per le tabelle `utenti`
--
ALTER TABLE `utenti`
  ADD PRIMARY KEY (`ID_Utente`),
  ADD KEY `ID_Ruolo` (`ID_Ruolo`);

--
-- AUTO_INCREMENT per le tabelle scaricate
--

--
-- AUTO_INCREMENT per la tabella `genere`
--
ALTER TABLE `genere`
  MODIFY `IDGenere` int NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=22;

--
-- AUTO_INCREMENT per la tabella `libri`
--
ALTER TABLE `libri`
  MODIFY `Numero_Inventario` int NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=22;

--
-- AUTO_INCREMENT per la tabella `prenotazioni`
--
ALTER TABLE `prenotazioni`
  MODIFY `IDprenotazioni` int NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=33;

--
-- AUTO_INCREMENT per la tabella `prestiti`
--
ALTER TABLE `prestiti`
  MODIFY `ID_Prestito` int NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT per la tabella `ruoli`
--
ALTER TABLE `ruoli`
  MODIFY `ID_Ruolo` int NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;

--
-- AUTO_INCREMENT per la tabella `utenti`
--
ALTER TABLE `utenti`
  MODIFY `ID_Utente` int NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;

--
-- Limiti per le tabelle scaricate
--

--
-- Limiti per la tabella `libri`
--
ALTER TABLE `libri`
  ADD CONSTRAINT `libri_ibfk_1` FOREIGN KEY (`IDGenere`) REFERENCES `genere` (`IDGenere`);

--
-- Limiti per la tabella `prenotazioni`
--
ALTER TABLE `prenotazioni`
  ADD CONSTRAINT `prenotazioni_ibfk_1` FOREIGN KEY (`IDslot`) REFERENCES `slot` (`IDslot`),
  ADD CONSTRAINT `prenotazioni_ibfk_2` FOREIGN KEY (`ID_Utente`) REFERENCES `utenti` (`ID_Utente`);

--
-- Limiti per la tabella `prestiti`
--
ALTER TABLE `prestiti`
  ADD CONSTRAINT `prestiti_ibfk_1` FOREIGN KEY (`ID_Utente`) REFERENCES `utenti` (`ID_Utente`);

--
-- Limiti per la tabella `utenti`
--
ALTER TABLE `utenti`
  ADD CONSTRAINT `utenti_ibfk_1` FOREIGN KEY (`ID_Ruolo`) REFERENCES `ruoli` (`ID_Ruolo`);
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
