<?php
// Connessione al database
$conn = new mysqli("localhost", "root", "", "my_antoniomdcv");

// Verifica se la connessione ha avuto successo
if ($conn->connect_error) {
    die("Connessione fallita: " . $conn->connect_error);
}

if (!isset($_POST['DataIngresso']) || !isset($_POST['ID_Utente'])) {
    die(json_encode(array("error" => "Parametri mancanti.")));
}

// Recupera la data di ingresso dalla richiesta POST
$DataIngresso = $conn->real_escape_string($_POST['DataIngresso']);

// Query per ottenere gli slot disponibili per la data corrente
$query = "SELECT IDslot, Descrizione_slot FROM slot WHERE IDslot NOT IN 
            (SELECT IDslot FROM prenotazioni WHERE DataIngresso='$DataIngresso')";
$result = $conn->query($query);

// Verifica se la query ha avuto successo
if (!$result) {
    die("Errore nella query: " . $conn->error);
}

// Costruisci un array di slot disponibili
$slots = array();
while ($row = $result->fetch_assoc()) {
    $slots[] = $row;
}

// Chiudi la connessione al database
$conn->close();

// Restituisci gli slot disponibili come JSON
header('Content-Type: application/json');
echo json_encode(array("slots" => $slots));
?>
