<?php
// Imposta l'intestazione del contenuto della risposta come JSON
header('Content-Type: application/json');

// Crea una nuova connessione al database MySQL
$conn = new mysqli("localhost", "root", "", "my_antoniomdcv");

// Verifica se ci sono errori di connessione al database
if ($conn->connect_errno) {
    // Se c'è un errore, restituisce un messaggio di errore in formato JSON e termina lo script
    echo json_encode(["error" => "Impossibile connettersi al server"]);
    exit;
}

// Recupera i dati inviati tramite il form (metodo POST)
$ID_Ruolo = $_POST['Ruolo']; // ID del ruolo dell'utente
$Cognome = $_POST['Cognome']; // Cognome dell'utente
$Nome = $_POST['Nome']; // Nome dell'utente
$Data_Nascita = $_POST['Data_Nascita']; // Data di nascita dell'utente
$Telefono = $_POST['Telefono']; // Numero di telefono dell'utente
$Email = $_POST['Email']; // Email dell'utente
$Username = $_POST['Username']; // Username dell'utente
$Password_U = $_POST['Password_U']; // Password dell'utente

// Esegui l'hash della password usando MD5
$Password_U = hash("MD5", $Password_U);

// Controlla se l'username esiste già nel database
$query = "SELECT * FROM utenti WHERE Username = '$Username';";
$risultato = $conn->query($query);

// Verifica se la query è stata eseguita correttamente
if (!$risultato) {
    // Se c'è un errore nella query, restituisce un messaggio di errore in formato JSON e termina lo script
    echo json_encode(["error" => "Errore nel comando: " . $conn->error]);
    exit;
}

// Conta il numero di righe restituite dalla query
$conta = $risultato->num_rows;

// Se l'username esiste già
if ($conta != 0) {
    // Restituisce un messaggio di errore che indica che l'username è già presente
    echo json_encode(["error" => "Username già presente, riprova!"]);
    exit;
}

// Prepara la query SQL per inserire un nuovo utente nel database
$sql = "INSERT INTO utenti (ID_Ruolo, Cognome, Nome, Data_Nascita, Telefono, Email, Username, Password_U) VALUES ('$ID_Ruolo', '$Cognome', '$Nome', '$Data_Nascita', '$Telefono', '$Email', '$Username', '$Password_U');";

// Esegue la query SQL per inserire i dati nel database
$result = $conn->query($sql);

// Verifica se l'inserimento è avvenuto con successo
if ($result) {
    // Se l'inserimento è avvenuto con successo, restituisce un messaggio di successo in formato JSON
    echo json_encode(["success" => true]);
} else {
    // Se c'è un errore nell'inserimento, restituisce un messaggio di errore in formato JSON
    echo json_encode(["error" => "Errore nella registrazione: " . $conn->error]);
}

// Chiude la connessione al database
$conn->close();
?>
