<?php
// Connessione al database
$conn = new mysqli("localhost", "root", "", "my_antoniomdcv");

// Verifica della connessione
if ($conn->connect_error) {
    die("Connessione al database fallita: " . $conn->connect_error);
}

// Verifica dei parametri
if (!isset($_POST['Nome']) || !isset($_POST['Cognome'])) {
    die(json_encode(array("error" => "Parametri mancanti.")));
}

$Nome = $conn->real_escape_string($_POST['Nome']);
$Cognome = $conn->real_escape_string($_POST['Cognome']);

// Ricerca dell'ID_Utente in base al nome e cognome
$query = "SELECT ID_Utente FROM utenti WHERE Nome='$Nome' AND Cognome='$Cognome'";
$result = $conn->query($query);

if ($result->num_rows == 0) {
    die(json_encode(array("error" => "Utente non trovato. Prova ad inserire in questo modo 'Mario' e 'Rossi'.")));
}

$row = $result->fetch_assoc();
$ID_Utente = $row['ID_Utente'];

// Recupera le prenotazioni dell'utente con descrizione slot
$query = "SELECT p.IDprenotazioni,p.Classe, p.DataIngresso, s.Descrizione_slot 
          FROM prenotazioni p 
          INNER JOIN slot s ON p.IDslot = s.IDslot
          WHERE p.ID_Utente='$ID_Utente' AND p.DataIngresso >= CURDATE()";
$result = $conn->query($query);

if (!$result) {
    die(json_encode(array("error" => "Errore nella query: " . $conn->error)));
}

$prenotazioni = array();
while ($row = $result->fetch_assoc()) {
    $prenotazioni[] = array(
        'IDPrenotazioni' => $row['IDPrenotazioni'],
        'Classe' => $row['Classe'],
        'DataIngresso' => $row['DataIngresso'],
        'Descrizione_slot' => $row['Descrizione_slot']
    );
}

// Chiudi la connessione al database
$conn->close();

// Restituisci le prenotazioni come JSON
header('Content-Type: application/json');
echo json_encode(array("prenotazioni" => $prenotazioni));
?>
