<?php
header('Content-Type: application/json');

// Connessione al database
$conn = new mysqli("localhost", "root", "", "my_antoniomdcv");
if ($conn->connect_error) {
    die(json_encode(array("error" => "Connessione fallita: " . $conn->connect_error)));
}

// Query per selezionare i dati dalla tabella prenotazioni
$sql = "SELECT CONCAT(utenti.Nome,' ', utenti.Cognome) AS Nominativo, prenotazioni.IDprenotazioni, prenotazioni.Classe, prenotazioni.DataPrenotazione, prenotazioni.DataIngresso, slot.Descrizione_slot
FROM slot, utenti, prenotazioni
WHERE slot.IDslot = prenotazioni.IDslot AND utenti.ID_Utente = prenotazioni.ID_Utente and DataIngresso>=CURRENT_DATE
ORDER BY DataIngresso";
$result = $conn->query($sql);

// Visualizzazione dei risultati
if ($result->num_rows > 0) {
    $prenotazioni = array();
    while ($row = $result->fetch_assoc()) {
        $prenotazioni[] = $row;
    }
    echo json_encode(array("prenotazioni" => $prenotazioni));
} else {
    echo json_encode(array("message" => "Nessun risultato trovato"));
}

$conn->close();
?>
